/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/* Alarm.java */

package jprobe;

import java.lang.*;
import java.awt.Color;
import javax.swing.UIManager;

class Alarm
{
  /* All the definitions in this file belong in jca class Ca */

  /* ALARM SEVERITIES -NOTE: must match defs in choiceGbl.ascii GBL_ALARM_SEV */
  public static final int NO_ALARM      = 0;
  public static final int MINOR_ALARM   = 1;
  public static final int MAJOR_ALARM   = 2;
  public static final int INVALID_ALARM = 3;
  public static final int ALARM_NSEV   = INVALID_ALARM+1;

  /* ALARM STATUS  -NOTE: must match defs in choiceGbl.ascii GBL_ALARM_STAT */
  /* NO_ALARM = 0 as above */
  public static final int  READ_ALARM    =  1;
  public static final int  WRITE_ALARM   =  2;
  /* ANALOG ALARMS */
  public static final int  HIHI_ALARM    =  3;
  public static final int  HIGH_ALARM    =  4;
  public static final int  LOLO_ALARM    =  5;
  public static final int  LOW_ALARM     =  6;
  /* BINARY ALARMS */
  public static final int  STATE_ALARM   =  7;
  public static final int  COS_ALARM     =  8;
  /* other alarms */
  public static final int COMM_ALARM     =  9;
  public static final int  TIMEOUT_ALARM = 10;
  public static final int  HW_LIMIT_ALARM= 11;
  public static final int  CALC_ALARM    = 12;
  public static final int  SCAN_ALARM    = 13;
  public static final int  LINK_ALARM    = 14;
  public static final int  SOFT_ALARM    = 15;
  public static final int  BAD_SUB_ALARM = 16;
  public static final int  UDF_ALARM     = 17;
  public static final int  DISABLE_ALARM = 18;
  public static final int  SIMM_ALARM    = 19;
  public static final int  READ_ACCESS_ALARM = 20;
  public static final int  WRITE_ACCESS_ALARM = 21;
  public static final int ALARM_NSTATUS   = WRITE_ACCESS_ALARM + 1;

  public static final String alarmSeverityString[]={
    "NO_ALARM",
    "MINOR",
    "MAJOR",
    "INVALID"
    };
  
  public static final String alarmStatusString[]={
    "NO_ALARM",
    "READ",
    "WRITE",
    "HIHI",
    "HIGH",
    "LOLO",
    "LOW",
    "STATE",
    "COS",
    "COMM",
    "TIMEOUT",
    "HWLIMIT",
    "CALC",
    "SCAN",
    "LINK",
    "SOFT",
    "BAD_SUB",
    "UDF",
    "DISABLE",
    "SIMM",
    "READ_ACCESS",
    "WRITE_ACCESS",
    };
}
